MINOVAES - PRODUCT - Support #806

[HR-PAYROLL] Validasi & Notifikasi di menu Payroll
01/28/2022 02:50 PM - Kezia Pawitra Yulianti

Status: Assigned Start date: 01/28/2022
Priority: High Due date: 02/11/2022
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.50 hour
Description

Dear Developer,
mohon untuk dibuatkan validasi & notifikasi dengan bbrp kondisi sbb:

1. Jika masih ada yg status koreksi di PHRPAQ0015
- check kolom correction status jika msh ada value 1 maka belum bisa di closing
- infokan employee id nya di notifikasi saat proses closing/finish payroll akan dilakukan

2. Jika masih ada yg error running di payroll Log
- check payroll log, jika msh error running maka belum bisa closing
- infokan employee idnya di notifikasi saat proses closing/finish payroll akan dilakukan

3. Jika belum dilakukan closing di bulan sebelumnya

- check seluruh employee yang ada di payroll group terkait, apakah payment up to nya sudah H-1 period dr periode payroll yang
akan di running.

- Notifikasi ini muncul saat proses running payroll akan dilakukan

4. Jika ada yg belum 1 month notice untuk data resign nya

- check antara tanggal running payroll terakhir dengan perubahan data/change date data resign di PHRPAQ0002, jika perubahan data
dilakukan setelah running terakhir maka artinya employee tsb belum di finalkan payroll terakhirnya - infokan employee id

- notifikasi ini muncul saat proses closing/finish payroll akan dilakukan

Jika ada yg ingin ditanyakan silahkan ya
Terima kasih

History

#1 - 01/28/2022 02:50 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#2 - 02/24/2022 04:44 PM - Kezia Pawitra Yulianti

Dear Yomma,
sesuai diskusi sore ini berikut bbrp update requirement nya ya:

e untuk Poin 1,2 -- yg dimunculkan maks 10 employee id saja, jika lebih maka sisanya akan di informasikan saja jumlahnya atau mgkn bisa juga
diarahkan untuk membuka report Payrol Run Status Detail jika masuk ke dalam kondisi di poin 1 dan 2.
trigger saat saving finish payroll di payroll control

¢ untuk Poin 3 -- yg dimunculkan maks 10 employee id saja, jika lebih maka sisanya akan di informasikan saja jumlahnya dgn trigger saat saving
status start payroll di payroll control

¢ untuk poin 4, koreksi penempatan notifikasinya yaitu saat saving status start di Payroll Control di bulan selanjutnya. dimana ngeceknya dgn
tanggal start resign/tidak aktif sama dgn start date di periode payroll di bulan yg akan berjalan (status start) di tabel PHRPYTRPAYPERIOD

Thanks

#3 - 01/04/2024 07:38 AM - Kezia Pawitra Yulianti
- Assignee changed from Tri Rizqgiaty to M Azid Wahyudi

tolong ya zid
Tks'
